## Get inventory attribute by code

### cURL

```bash
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/inventory/attribute/{code} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/inventory/attribute/{code}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/inventory/attribute/{code}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### HTTP Status Codes

- **200**
- **400**
- **404**
- **500**

### Response Examples

```json
{
  "id": "622786ae0bdb19221a24fb61",
  "code": "on-hand"
}
```

```json
{
  "message": "Invalid request payload or parameter"
}
```

```json
{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
```

```json
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
```

### Authorizations

- **Authorization**: `Bearer authentication header of the form Bearer <token>`

### Headers

- **x-site-context**: A JSON object with mandatory `account`, `channel`, `stage`, and use of `date` (example: `{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}`)

### Path Parameters

- **code**: Required attribute code (example: "on-hand").

### Response

#### 200 Response

- **id**: The inventory attribute ID (example: "622786ae0bdb19221a24fb61").
- **code**: Attribute name (example: "on-hand").
